Subject: Re: Difference between Apple SCSI and Apple HS SCSI
From: [email-masked] (David Empson)
Date: Tue, 3 Dec 1996 00:59:19 +1300
Newsgroups: comp.sys.apple2

Matt Portune <[email-masked]> wrote:

> I'm trying to decide which SCSI controller to get for my girlfriend's GS.  She
> doesn't need the ripping performance of a RamFAST, but I don't want the
> controller to be painfully slow, either.  She has a ROM 01 with 4.25 megs of
> RAM, and that's it.  Nothing else is in the machine.
> 
> My question is, on this machine, how much of a speed difference will be
> noticable between the regular Apple SCSI card and the Apple High-Speed SCSI
> card?

Under ProDOS-8, the difference is not particularly obvious.  Under
GS/OS, the High-speed card is significantly faster.  This is most
noticeable in file copy operations on ProDOS volumes, but even booting
GS/OS is noticeably slower with the original card.  After using the
high-speed card, I found the original card very inconvenient.

From past experience, I was getting typical transfer rates (under GS/OS)
in the order of 40K to 80K per second with the original card, compared
to 100K to 200K per second with the high-speed card, peaking at over
500K per second for large transfers (the theoretical limit is 1MB per
second on a IIgs, half that on a IIe).

[On average, the RamFast is somewhat faster than the Apple High-Speed
card under GS/OS, but is significantly faster under ProDOS-8 because of
its caching.]

> Besides DMA, is there any other reason I should pick one over the 
> other?

The High-speed card has newer and more powerful firmware.  This is only
significant under ProDOS-8, as the GS/OS SCSI Manager and drivers are
used with both cards while running GS/OS.

Apart from speed, the main advantage of the High-Speed card over the
original card is that it supports a wider range of devices.  In
particular:

1. The original SCSI card does not properly support removable SCSI hard
drives, such as SyQuest and ZIP drives.  It doesn't realise you have
switched cartridges.  This means that it doesn't read the new partition
map, which could easily result in corrupted disks.  To be safe, you
should reboot when switching disks.  (Note that this only applies under
ProDOS-8: it is quite safe to switch cartridges under GS/OS.)

2. In addition to SCSI hard drives and CD-ROM drives, the high-speed
card firmware supports the Apple tape drive and scanner.  This is a
rather minor feature, as there is practically no software to make use of
the scanner, and the tape drive is a rather limited device.

[The RamFast supports an even wider range of devices, though
incompatibilities with some modern hard drives have been noticed.]

The additional RAM on the high-speed card means that it is able to
support more online partitions.  The original card can only handle seven
partitions (over all drives), while the high-speed card can handle 110
partitions (many more than ProDOS itself).

[The RamFast can handle at least as many partitions as ProDOS.]

Another benefit of the high-speed SCSI card is that it provides a much
better firmware interface to applications which want to make direct SCSI
calls.  This allows more flexible operation for utility programs such as
Chinook SCSI Utilities - some features of this program are only
available if you have the high-speed card.

[The RamFast doesn't provide much in the way of low-level SCSI support.]

On the hardware side, the high-speed card has termination resistors
installed on the card, so you only need one external terminator (on the
last device).  With the original Apple card, you need two external
terminators if you have more than one device connected, and one must be
a "pass-through" terminator (or internal termination could be used).

Neither card supplies termination power as standard, though there is a
modification which can be made to cause them to do this (some recent
high-speed cards apparently had this pre-installed).  In general, it is
better if you have a hard drive which supplies termination power,
because it reduces the load on the computer's power supply.

[The RamFast has termination resistors, and has a switch that lets you
select whether to supply termination power.]

If you are considering an original SCSI card, make sure it has the
revision C ROM (341-0437-A).  This ROM revision added support for
Apple's CD-ROM drive, fixed bugs, and protected against programs
accidentally formatting hard drives when they thought they were ejecting
floppies.  This ROM revision is required if you want to use the original
Apple card with GS/OS.

The high-speed card has never had a ROM upgrade.

[The RamFast has had dozens of ROM revisions.]

-- 
David Empson
[email-masked]
Snail Mail: P.O. Box 27-103, Wellington, New Zealand